<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta name="Author" content="Chris Bensler">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (Win98; I) [Netscape]">
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <title>ExoticaX API Docs - Globals Page</title>
</head>
<body text="#FFFFFF" bgcolor="#000000" link="#0000FF" vlink="#00CC33" alink="#FF0000">

<center><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+3>Globals
Documentation</font></font></font></b>
<hr WIDTH="50%" COLOR="#FF0000">
<br>&nbsp;
<p>
<hr WIDTH="35%" COLOR="#FF0000">
<br><a NAME="GLOBAL_VARIABLES"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Variables</font></font></font></b>
<hr WIDTH="35%" COLOR="#FF0000"></center>

<br><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1></font></font></font></b>&nbsp;
<center><table BORDER=0 CELLSPACING=0 CELLPADDING=0 WIDTH="75%" >
<tr>
<td WIDTH="100%">
<center><b><i>these are pointers to pre-allocated C structures used by
d3dX.ew</i></b>
<br><b><i>these simply save you the trouble of defining them your self.</i></b></center>
</td>
</tr>

<tr>
<td WIDTH="100%">
<table BORDER CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><a NAME="MATERIAL"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>atom:
</font></font>material</font></b></td>
</tr>

<tr>
<td WIDTH="100%"><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This structure is Zero'd out.</blockquote>
</td>
</tr>
</table>
</td>
</tr>

<tr>
<td HEIGHT="82">
<table BORDER CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><a NAME="LIGHT"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>atom:
</font></font>light</font></b></td>
</tr>

<tr>
<td WIDTH="100%"><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This structure is Zero'd out.</blockquote>
</td>
</tr>
</table>
</td>
</tr>

<tr>
<td HEIGHT="82">
<table BORDER CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><a NAME="MATWORLD"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>atom:
</font></font>matWorld</font></b></td>
</tr>

<tr>
<td WIDTH="100%"><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This is set to an Identity Matrix.</blockquote>
</td>
</tr>
</table>
</td>
</tr>

<tr>
<td HEIGHT="82">
<table BORDER CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><a NAME="MATVIEW"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>atom:
</font></font>matView</font></b></td>
</tr>

<tr>
<td WIDTH="100%"><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This is set to an Identity Matrix.</blockquote>
</td>
</tr>
</table>
</td>
</tr>

<tr>
<td HEIGHT="155">
<table BORDER CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%"><a NAME="MATPROJ"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>atom:
</font></font>matProj</font></b></td>
</tr>

<tr>
<td WIDTH="100%"><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Description:</font></font></font></b>
<blockquote>This is set to a basic projection matrix.
<p>1.0, 0.0, 0.0, 0.0,
<br>0.0, 1.0, 0.0, 0.0,
<br>0.0, 0.0, 1.0, 1.0,
<br>0.0, 0.0,-1.0, 0.0</blockquote>
</td>
</tr>
</table>
</td>
</tr>
</table></center>

<br>&nbsp;
<br>&nbsp;
<p>
<hr WIDTH="35%" COLOR="#FF0000">
<center><a NAME="GLOBAL_CONSTANTS"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Constants</font></font></font></b>
<hr WIDTH="35%" COLOR="#FF0000"></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><b><i>these are the various window styles to be used with shell_execute()</i></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
SW_HIDE = 0</dt>

<dt>
SW_SHOWNORMAL = 1</dt>

<dt>
SW_NORMAL = 1</dt>

<dt>
SW_SHOWMINIMIZED = 2</dt>

<dt>
SW_SHOWMAXIMIZED = 3</dt>

<dt>
SW_MAXIMIZE = 3</dt>

<dt>
SW_SHOWNOACTIVATE = 4</dt>

<dt>
SW_SHOW = 5</dt>

<dt>
SW_MINIMIZE = 6</dt>

<dt>
SW_SHOWMINNOACTIVE = 7</dt>

<dt>
SW_SHOWNA = 8</dt>

<dt>
SW_RESTORE = 9</dt>

<dt>
SW_SHOWDEFAULT = 10</dt>

<dt>
SW_MAX = 10</dt>
</dl>
</div>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="DIK"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>DirectInput
Key Constants</font></font></font></u></b></caption>

<tr>
<td VALIGN=TOP>
<dl>
<dt>
DIK_ESCAPE = #01</dt>

<dt>
DIK_1 = #02</dt>

<dt>
DIK_2 = #03</dt>

<dt>
DIK_3 = #04</dt>

<dt>
DIK_4 = #05</dt>

<dt>
DIK_5 = #06</dt>

<dt>
DIK_6 = #07</dt>

<dt>
DIK_7 = #08</dt>

<dt>
DIK_8 = #09</dt>

<dt>
DIK_9 = #0A</dt>

<dt>
DIK_0 = #0B</dt>

<dt>
DIK_MINUS = #0C -- on main keyboard</dt>

<dt>
DIK_EQUALS = #0D</dt>

<dt>
DIK_BACK = #0E -- backspace</dt>

<dt>
DIK_TAB = #0F</dt>

<dt>
DIK_Q = #10</dt>

<dt>
DIK_W = #11</dt>

<dt>
DIK_E = #12</dt>

<dt>
DIK_R = #13</dt>

<dt>
DIK_T = #14</dt>

<dt>
DIK_Y = #15</dt>

<dt>
DIK_U = #16</dt>

<dt>
DIK_I = #17</dt>

<dt>
DIK_O = #18</dt>

<dt>
DIK_P = #19</dt>

<dt>
DIK_LBRACKET = #1A</dt>

<dt>
DIK_RBRACKET = #1B</dt>

<dt>
DIK_RETURN = #1C -- Enter on main keyboard</dt>

<dt>
DIK_LCONTROL = #1D</dt>

<dt>
DIK_A = #1E</dt>

<dt>
DIK_S = #1F</dt>

<dt>
DIK_D = #20</dt>

<dt>
DIK_F = #21</dt>

<dt>
DIK_G = #22</dt>

<dt>
DIK_H = #23</dt>

<dt>
DIK_J = #24</dt>

<dt>
DIK_K = #25</dt>

<dt>
DIK_L = #26</dt>

<dt>
DIK_SEMICOLON = #27</dt>

<dt>
DIK_APOSTROPHE = #28</dt>

<dt>
DIK_GRAVE = #29 -- accent grave</dt>

<dt>
DIK_LSHIFT = #2A</dt>

<dt>
DIK_BACKSLASH = #2B</dt>

<dt>
DIK_Z = #2C</dt>

<dt>
DIK_X = #2D</dt>

<dt>
DIK_C = #2E</dt>

<dt>
DIK_V = #2F</dt>

<dt>
DIK_B = #30</dt>

<dt>
DIK_N = #31</dt>

<dt>
DIK_M = #32</dt>

<dt>
DIK_COMMA = #33</dt>

<dt>
DIK_PERIOD = #34 -- . on main keyboard</dt>

<dt>
DIK_SLASH = #35 -- / on main keyboard</dt>

<dt>
DIK_RSHIFT = #36</dt>

<dt>
DIK_MULTIPLY = #37 -- * on numeric keypad</dt>

<dt>
DIK_LMENU = #38 -- left Alt</dt>

<dt>
DIK_SPACE = #39</dt>

<dt>
DIK_CAPITAL = #3A</dt>

<dt>
DIK_F1 = #3B</dt>

<dt>
DIK_F2 = #3C</dt>

<dt>
DIK_F3 = #3D</dt>

<dt>
DIK_F4 = #3E</dt>

<dt>
DIK_F5 = #3F</dt>

<dt>
DIK_F6 = #40</dt>

<dt>
DIK_F7 = #41</dt>

<dt>
DIK_F8 = #42</dt>

<dt>
DIK_F9 = #43</dt>

<dt>
DIK_F10 = #44</dt>
</dl>
</td>

<td VALIGN=TOP>
<dl>
<dt>
DIK_NUMLOCK = #45</dt>

<dt>
DIK_SCROLL = #46 -- Scroll Lock</dt>

<dt>
DIK_NUMPAD7 = #47</dt>

<dt>
DIK_NUMPAD8 = #48</dt>

<dt>
DIK_NUMPAD9 = #49</dt>

<dt>
DIK_SUBTRACT = #4A -- - on numeric keypad</dt>

<dt>
DIK_NUMPAD4 = #4B</dt>

<dt>
DIK_NUMPAD5 = #4C</dt>

<dt>
DIK_NUMPAD6 = #4D</dt>

<dt>
DIK_ADD = #4E -- + on numeric keypad</dt>

<dt>
DIK_NUMPAD1 = #4F</dt>

<dt>
DIK_NUMPAD2 = #50</dt>

<dt>
DIK_NUMPAD3 = #51</dt>

<dt>
DIK_NUMPAD0 = #52</dt>

<dt>
DIK_DECIMAL = #53 -- . on numeric keypad</dt>

<dt>
DIK_F11 = #57</dt>

<dt>
DIK_F12 = #58</dt>

<dt>
DIK_F13 = #64 -- (NEC PC98)</dt>

<dt>
DIK_F14 = #65 -- (NEC PC98)</dt>

<dt>
DIK_F15 = #66 -- (NEC PC98)</dt>

<dt>
DIK_KANA = #70 -- (Japanese keyboard)</dt>

<dt>
DIK_CONVERT = #79 -- (Japanese keyboard)</dt>

<dt>
DIK_NOCONVERT = #7B -- (Japanese keyboard)</dt>

<dt>
DIK_YEN = #7D -- (Japanese keyboard)</dt>

<dt>
DIK_NUMPADEQUALS = #8D -- = on numeric keypad (NEC PC98)</dt>

<dt>
DIK_CIRCUMFLEX = #90 -- (Japanese keyboard)</dt>

<dt>
DIK_AT = #91 -- (NEC PC98)</dt>

<dt>
DIK_COLON = #92 -- (NEC PC98)</dt>

<dt>
DIK_UNDERLINE = #93 -- (NEC PC98)</dt>

<dt>
DIK_KANJI = #94 -- (Japanese keyboard)</dt>

<dt>
DIK_STOP = #95 -- (NEC PC98)</dt>

<dt>
DIK_AX = #96 -- (Japan AX)</dt>

<dt>
DIK_UNLABELED = #97 -- (J3100)</dt>

<dt>
DIK_NUMPADENTER = #9C -- Enter on numeric keypad</dt>

<dt>
DIK_RCONTROL = #9D</dt>

<dt>
DIK_NUMPADCOMMA = #B3 -- , on numeric keypad (NEC PC98)</dt>

<dt>
DIK_DIVIDE = #B5 -- / on numeric keypad</dt>

<dt>
DIK_SYSRQ = #B7</dt>

<dt>
DIK_RMENU = #B8 -- right Alt</dt>

<dt>
DIK_PAUSE = #C5 --- undocumented in DInput.h header file!</dt>

<dt>
DIK_BREAK = #C5 --- undocumented in DInput.h header file!</dt>

<dt>
DIK_HOME = #C7 -- Home on arrow keypad</dt>

<dt>
DIK_UP = #C8 -- UpArrow on arrow keypad</dt>

<dt>
DIK_PRIOR = #C9 -- PgUp on arrow keypad</dt>

<dt>
DIK_LEFT = #CB -- LeftArrow on arrow keypad</dt>

<dt>
DIK_RIGHT = #CD -- RightArrow on arrow keypad</dt>

<dt>
DIK_END = #CF -- End on arrow keypad</dt>

<dt>
DIK_DOWN = #D0 -- DownArrow on arrow keypad</dt>

<dt>
DIK_NEXT = #D1 -- PgDn on arrow keypad</dt>

<dt>
DIK_INSERT = #D2 -- Insert on arrow keypad</dt>

<dt>
DIK_DELETE = #D3 -- Delete on arrow keypad</dt>

<dt>
DIK_LWIN = #DB -- Left Windows key</dt>

<dt>
DIK_RWIN = #DC -- Right Windows key</dt>

<dt>
DIK_APPS = #DD -- AppMenu key</dt>
</dl>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DBLEND"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
AlphaBlend Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DBLEND_ZERO = 1</dt>

<dt>
D3DBLEND_ONE = 2</dt>

<dt>
D3DBLEND_SRCCOLOR = 3</dt>

<dt>
D3DBLEND_INVSRCCOLOR = 4</dt>

<dt>
D3DBLEND_SRCALPHA = 5</dt>

<dt>
D3DBLEND_INVSRCALPHA = 6</dt>

<dt>
D3DBLEND_DESTALPHA = 7</dt>

<dt>
D3DBLEND_INVDESTALPHA = 8</dt>

<dt>
D3DBLEND_DESTCOLOR = 9</dt>

<dt>
D3DBLEND_INVDESTCOLOR = 10</dt>

<dt>
D3DBLEND_SRCALPHASAT = 11</dt>

<dt>
D3DBLEND_BOTHSRCALPHA = 12</dt>

<dt>
D3DBLEND_BOTHINVSRCALPHA = 13</dt>

<dt>
D3DBLEND_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</div>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DPRIMITIVETYPE"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Primitive Type Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DPT_POINTLIST = 1</dt>

<dt>
D3DPT_LINELIST = 2</dt>

<dt>
D3DPT_LINESTRIP = 3</dt>

<dt>
D3DPT_TRIANGLELIST = 4</dt>

<dt>
D3DPT_TRIANGLESTRIP = 5</dt>

<dt>
D3DPT_TRIANGLEFAN = 6</dt>

<dt>
D3DPT_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</div>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DVERTEXTYPE"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Vertex Type Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DFVF_RESERVED0 = #001</dt>

<dt>
D3DFVF_POSITION_MASK = #00E</dt>

<dt>
D3DFVF_XYZ = #002</dt>

<dt>
D3DFVF_XYZRHW = #004</dt>

<dt>
D3DFVF_XYZB1 = #006</dt>

<dt>
D3DFVF_XYZB2 = #008</dt>

<dt>
D3DFVF_XYZB3 = #00A</dt>

<dt>
D3DFVF_XYZB4 = #00C</dt>

<dt>
D3DFVF_XYZB5 = #00E</dt>

<dt>
D3DFVF_NORMAL = #010</dt>

<dt>
D3DFVF_RESERVED1 = #020</dt>

<dt>
D3DFVF_DIFFUSE = #040</dt>

<dt>
D3DFVF_SPECULAR = #080</dt>

<dt>
D3DFVF_TEXCOUNT_MASK = #F00</dt>

<dt>
D3DFVF_TEXCOUNT_SHIFT = 8</dt>

<dt>
D3DFVF_TEX0 = #000</dt>

<dt>
D3DFVF_TEX1 = #100</dt>

<dt>
D3DFVF_TEX2 = #200</dt>

<dt>
D3DFVF_TEX3 = #300</dt>

<dt>
D3DFVF_TEX4 = #400</dt>

<dt>
D3DFVF_TEX5 = #500</dt>

<dt>
D3DFVF_TEX6 = #600</dt>

<dt>
D3DFVF_TEX7 = #700</dt>

<dt>
D3DFVF_TEX8 = #800</dt>

<dt>
D3DFVF_RESERVED2 = #F000</dt>

<dt>
D3DFVF_VERTEX = #002,#010,#100</dt>

<dt>
D3DFVF_LVERTEX = #002,#020,#040,#080,#100</dt>

<dt>
D3DFVF_TLVERTEX = #004,#040,#080,#100</dt>
</dl>
</div>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DLIGHTTYPE"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Light Type Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DLIGHT_POINT = 1 : is a point light source. The light has a position
in space and radiates light in all directions.</dt>

<br>&nbsp;
<dt>
D3DLIGHT_SPOT = 2 : is a spotlight source. This light is like a point light,
except that the illumination is limited to a cone. This light type has
a direction and several other parameters that determine the shape of the
cone it produces.</dt>

<br>&nbsp;
<dt>
D3DLIGHT_DIRECTIONAL = 3 : is a directional light source. This is equivalent
to using a point light source at an infinite distance.</dt>

<br>&nbsp;
<dt>
D3DLIGHT_FORCE_DWORD = #7FFFFFFF : Forces this enumeration to compile to
32 bits in size. This value is not used.</dt>
</dl>
</div>
Directional lights are slightly faster than point light sources, but point
lights look a little better. Spotlights offer interesting visual effects
but are computationally expensive.</td>
</tr>
</table></center>

<center>
<p>D3DLIGHT_RANGE_MAX = sqrt(3.402823466e+38) : Maximum valid light range</center>

<p><br>
<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DPRIMITIVETYPE"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Texture Stage State Type Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DTSS_COLOROP = 1</dt>

<dt>
D3DTSS_COLORARG1 = 2</dt>

<dt>
D3DTSS_COLORARG2 = 3</dt>

<dt>
D3DTSS_ALPHAOP = 4</dt>

<dt>
D3DTSS_ALPHAARG1 = 5</dt>

<dt>
D3DTSS_ALPHAARG2 = 6</dt>

<dt>
D3DTSS_BUMPENVMAT00 = 7</dt>

<dt>
D3DTSS_BUMPENVMAT01 = 8</dt>

<dt>
D3DTSS_BUMPENVMAT10 = 9</dt>

<dt>
D3DTSS_BUMPENVMAT11 = 10</dt>

<dt>
D3DTSS_TEXCOORDINDEX = 11</dt>

<dt>
D3DTSS_ADDRESS = 12</dt>

<dt>
D3DTSS_ADDRESSU = 13</dt>

<dt>
D3DTSS_ADDRESSV = 14</dt>

<dt>
D3DTSS_BORDERCOLOR = 15</dt>

<dt>
D3DTSS_MAGFILTER = 16</dt>

<dt>
D3DTSS_MINFILTER = 17</dt>

<dt>
D3DTSS_MIPFILTER = 18</dt>

<dt>
D3DTSS_MIPMAPLODBIAS = 19</dt>

<dt>
D3DTSS_MAXMIPLEVEL = 20</dt>

<dt>
D3DTSS_MAXANISOTROPY = 21</dt>

<dt>
D3DTSS_BUMPENVLSCALE = 22</dt>

<dt>
D3DTSS_BUMPENVLOFFSET = 23</dt>

<dt>
D3DTSS_TEXTURETRANSFORMFLAGS = 24</dt>

<dt>
D3DTSS_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</div>
The valid range of values for the D3DTSS_BUMPENVMAT00, D3DTSS_BUMPENVMAT01,
D3DTSS_BUMPENVMAT10, and D3DTSS_BUMPENVMAT11 bump-mapping matrix coefficients
is greater than or equal to -8.0, and less than 8.0. This range, expressed
in mathematical notation is [-8.0,8.0].
<p>Each texture stage for a device can have two texture arguments that
affect the color or alpha channel of the texture. Set and retrieve texture
arguments by calling the Set_Texture_Stage_State and Get_Texture_Stage_State
routines, specifying the D3DTSS_COLORARG1, D3DTSS_COLORARG2, D3DTSS_ALPHAARG1,
or D3DTSS_ALPHAARG2 flags.
<p>The following flags, organized as arguments and modifiers, can be used
with color and alpha arguments for a texture stage. You can combine an
argument flag with a modifier, but two argument flags cannot be combined.
<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<caption ALIGN="TOP"><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Texture Stage State Type Argument Flags</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DTA_CURRENT = #00000001</dt>

<dt>
D3DTA_DIFFUSE = #00000000</dt>

<dt>
D3DTA_SELECTMASK = #0000000F</dt>

<dt>
D3DTA_TEXTURE = #00000002</dt>

<dt>
D3DTA_TFACTOR = #00000003</dt>

<dt>
D3DTA_SPECULAR = #00000004</dt>
</dl>
</div>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<caption ALIGN="TOP"><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Texture Stage State Type Modifier Flags</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<blockquote>
<blockquote>
<dl>
<dt>
D3DTA_ALPHAREPLICATE = #00000020</dt>

<dt>
D3DTA_COMPLEMENT = #00000010</dt>
</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<caption ALIGN="TOP"><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Texture Operator Constants</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DTOP_DISABLE = 1</dt>

<dt>
D3DTOP_SELECTARG1 = 2</dt>

<dt>
D3DTOP_SELECTARG2 = 3</dt>

<dt>
D3DTOP_MODULATE = 4</dt>

<dt>
D3DTOP_MODULATE2X = 5</dt>

<dt>
D3DTOP_MODULATE4X = 6</dt>

<dt>
D3DTOP_ADD = 7</dt>

<dt>
D3DTOP_ADDSIGNED = 8</dt>

<dt>
D3DTOP_ADDSIGNED2X = 9</dt>

<dt>
D3DTOP_SUBTRACT = 10</dt>

<dt>
D3DTOP_ADDSMOOTH = 11</dt>

<dt>
D3DTOP_BLENDDIFFUSEALPHA = 12</dt>

<dt>
D3DTOP_BLENDTEXTUREALPHA = 13</dt>

<dt>
D3DTOP_BLENDFACTORALPHA = 14</dt>

<dt>
D3DTOP_BLENDTEXTUREALPHAPM = 15</dt>

<dt>
D3DTOP_BLENDCURRENTALPHA = 16</dt>

<dt>
D3DTOP_PREMODULATE = 17</dt>

<dt>
D3DTOP_MODULATEALPHA_ADDCOLOR = 18</dt>

<dt>
D3DTOP_MODULATECOLOR_ADDALPHA = 19</dt>

<dt>
D3DTOP_MODULATEINVALPHA_ADDCOLOR = 20</dt>

<dt>
D3DTOP_MODULATEINVCOLOR_ADDALPHA = 21</dt>

<dt>
D3DTOP_BUMPENVMAP = 22</dt>

<dt>
D3DTOP_BUMPENVMAPLUMINANCE = 23</dt>

<dt>
D3DTOP_DOTPRODUCT3 = 24</dt>

<dt>
D3DTOP_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</div>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">Values, used with D3DTSS_TEXCOORDINDEX, to specify that
the vertex data(position and normal in the camera space) should be taken
as texture coordinates. Low 16 bits are used to specify texture coordinate
index, to take the WRAP mode from.
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DTSS_TCI_PASSTHRU = #00000000</dt>

<dt>
D3DTSS_TCI_CAMERASPACENORMAL = #00010000</dt>

<dt>
D3DTSS_TCI_CAMERASPACEPOSITION = #00020000</dt>

<dt>
D3DTSS_TCI_CAMERASPACEREFLECTIONVECTOR = #00030000</dt>
</dl>
</div>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">D3DTEXTUREADDRESSes for D3DTSS_ADDRESS,D3DTSS_ADDRESSU
and D3DTSS_ADDRESSV.
<blockquote>
<blockquote>
<dl>
<dt>
D3DTADDRESS_WRAP = 1</dt>

<dt>
D3DTADDRESS_MIRROR = 2</dt>

<dt>
D3DTADDRESS_CLAMP = 3</dt>

<dt>
D3DTADDRESS_BORDER = 4</dt>

<dt>
D3DTADDRESS_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">D3DTEXTUREMAGFILTERs for D3DTSS_MAGFILTER.
<div STYLE="margin-left: 4em">
<dl>
<dt>
D3DTFG_POINT = 1</dt>

<dt>
D3DTFG_LINEAR = 2</dt>

<dt>
D3DTFG_FLATCUBIC = 3</dt>

<dt>
D3DTFG_GAUSSIANCUBIC= 4</dt>

<dt>
D3DTFG_ANISOTROPIC = 5</dt>

<dt>
D3DTFG_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</div>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">D3DTEXTUREMINFILTERs for D3DTSS_MINFILTER.
<blockquote>
<blockquote>
<dl>
<dt>
D3DTFN_POINT = 1</dt>

<dt>
D3DTFN_LINEAR = 2</dt>

<dt>
D3DTFN_ANISOTROPIC = 3</dt>

<dt>
D3DTFN_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">D3DTEXTUREMIPFILTERs for D3DTSS_MIPFILTER.
<blockquote>
<blockquote>
<dl>
<dt>
D3DTFP_NONE = 1</dt>

<dt>
D3DTFP_POINT = 2</dt>

<dt>
D3DTFP_LINEAR = 3</dt>

<dt>
D3DTFP_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table>

<br>&nbsp;
<table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="100%" >
<tr>
<td WIDTH="100%">D3DTEXTURETRANSFORMFLAGs for D3DTSS_TEXTURETRANSFORMFLAGS
<blockquote>
<blockquote>
<dl>
<dt>
D3DTTFF_DISABLE = 0</dt>

<dt>
D3DTTFF_COUNT1 = 1</dt>

<dt>
D3DTTFF_COUNT2 = 2</dt>

<dt>
D3DTTFF_COUNT3 = 3</dt>

<dt>
D3DTTFF_COUNT4 = 4</dt>

<dt>
D3DTTFF_PROJECTED = 256</dt>

<dt>
D3DTTFF_FORCE_DWORD = #7FFFFFFF</dt>
</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table>
</td>
</tr>
</table></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><a NAME="D3DTEXTUREPIXELFORMAT"></a><b><u><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>Direct3D
Texture Pixel Format Flags</font></font></font></u></b></caption>

<tr>
<td WIDTH="100%">
<blockquote>
<blockquote>
<dl>
<dt>
DDPF_ALPHAPIXELS = #00000001 : The surface has alpha channel information
in the pixel format.</dt>

<br>&nbsp;
<dt>
DDPF_ALPHA = #00000002 : The pixel format contains alpha only information.</dt>

<br>&nbsp;
<dt>
DDPF_FOURCC = #00000004 : The FourCC code is valid.</dt>

<br>&nbsp;
<dt>
DDPF_PALETTEINDEXED4 = #00000008 : The surface is 4-bit color indexed.</dt>

<br>&nbsp;
<dt>
DDPF_PALETTEINDEXEDTO8 = #00000010 : The surface is indexed into a palette
which stores indices into the destination surface's 8-bit palette.</dt>

<br>&nbsp;
<dt>
DDPF_PALETTEINDEXED8 = #00000020 : The surface is 8-bit color indexed.</dt>

<br>&nbsp;
<dt>
DDPF_RGB = #00000040 :The RGB data in the pixel format structure is valid.</dt>

<br>&nbsp;
<dt>
DDPF_COMPRESSED = #00000080 : The surface will accept pixel data in the
format specified and compress it during the write.</dt>

<br>&nbsp;
<dt>
DDPF_RGBTOYUV = #00000100 : The surface will accept RGB data and translate
it during the write to YUV data. The format of the data to be written will
be contained in the pixel format structure. The DDPF_RGB flag will be set.</dt>

<br>&nbsp;
<dt>
DDPF_YUV = #00000200 : pixel format is YUV - YUV data in pixel format struct
is valid</dt>

<br>&nbsp;
<dt>
DDPF_ZBUFFER = #00000400 : pixel format is a z buffer only surface</dt>

<br>&nbsp;
<dt>
DDPF_PALETTEINDEXED1 = #00000800 : The surface is 1-bit color indexed.</dt>

<br>&nbsp;
<dt>
DDPF_PALETTEINDEXED2 = #00001000 : The surface is 2-bit color indexed.</dt>

<br>&nbsp;
<dt>
DDPF_ZPIXELS = #00002000 : The surface contains Z information in the pixels</dt>

<br>&nbsp;
<dt>
DDPF_STENCILBUFFER = #00004000 : The surface contains stencil information
along with Z</dt>

<br>&nbsp;
<dt>
DDPF_ALPHAPREMULT = #00008000 : Premultiplied alpha format -- the color
components have been premultiplied by the alpha component.</dt>

<br>&nbsp;
<dt>
DDPF_LUMINANCE = #00020000 : Luminance data in the pixel format is valid.
Use this flag for luminance-only or luminance+alpha surfaces, the bit depth
is then ddpf.dwLuminanceBitCount.</dt>

<br>&nbsp;
<dt>
DDPF_BUMPLUMINANCE = #00040000 : Luminance data in the pixel format is
valid. Use this flag when hanging luminance off bumpmap surfaces, the bit
mask for the luminance portion of the pixel is then ddpf.dwBumpLuminanceBitMask</dt>

<br>&nbsp;
<dt>
DDPF_BUMPDUDV = #00080000 : Bump map dUdV data in the pixel format is valid.</dt>

<br>&nbsp;</dl>
</blockquote>
</blockquote>
</td>
</tr>
</table></center>

<br>&nbsp;
<br>&nbsp;
<p>
<hr WIDTH="35%" COLOR="#FF0000">
<center><a NAME="ABORT_CODES"></a><b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1>ExoticaX
Internal Abort Codes</font></font></font></b>
<hr WIDTH="35%" COLOR="#FF0000"></center>

<br>&nbsp;
<center><table BORDER CELLSPACING=2 CELLPADDING=0 WIDTH="75%" >
<caption><b><i>these are abort codes used internally by ExoticaX</i></b></caption>

<tr ALIGN=CENTER>
<td ALIGN=CENTER WIDTH="10%"><b><u><font face="Comic Sans MS"><font color="#FF0000">Code</font></font></u></b></td>

<td WIDTH="30%"><b><u><font face="Comic Sans MS"><font color="#FF0000">Routine</font></font></u></b></td>

<td><b><u><font face="Comic Sans MS"><font color="#FF0000">Error information</font></font></u></b></td>
</tr>

<tr>
<td>
<center>-1</center>
</td>

<td>exotica_init</td>

<td>Couldn't initialize Exotica ( Failed calling EXOTICA_INIT )</td>
</tr>

<tr>
<td>
<center>-2</center>
</td>

<td>exotica_init</td>

<td>Couldn't create window&nbsp; ( Failed on calling window routines )</td>
</tr>

<tr>
<td>
<center>-3</center>
</td>

<td>exotica_init</td>

<td>Duplicate instance of ExoticaX application</td>
</tr>

<tr>
<td>
<center>-4</center>
</td>

<td>get_prim_surface_mem</td>

<td>No available memory</td>
</tr>

<tr>
<td>
<center>-5</center>
</td>

<td>media_wait&nbsp;</td>

<td>Error while waiting</td>
</tr>

<tr>
<td>
<center>-6</center>
</td>

<td>mouse_init</td>

<td>Failed to clear surface</td>
</tr>

<tr>
<td>
<center>-7</center>
</td>

<td>mouse_init</td>

<td>Failed to flip surface</td>
</tr>
</table></center>
<b><font face="Comic Sans MS"><font color="#FF0000"><font size=+1></font></font></font></b>
<p>
<hr WIDTH="75%" COLOR="#FF0000">
<center>
<p><b><i><u><font size=+2><a href="#TOP">Back To Top</a></font></u></i></b></center>

</body>
</html>
